My Oracle Support Banner

How To Apply Correctly Patch 10151434 ? (Doc ID 1233211.1)

Last updated on DECEMBER 27, 2019

Applies to:

Oracle Lite - Version 10.3.0.3.0 to 10.3.0.3.0 [Release 10.3]
Information in this document applies to any platform.

Goal


When you apply Patch 10151434 it fails on script UpgradeRepoforLU.java

You get error message like :

UpgradeRepoforLU.java:137: cannot find symbol
symbol : variable CONS_EXT_PKG_APPDB_H
location: class oracle.lite.sync.ConsPLSQL
stmt.execute(ConsPLSQL.CONS_EXT_PKG_APPDB_H);
^
UpgradeRepoforLU.java:138: cannot find symbol
symbol : variable CONS_EXT_PKG_APPDB_B
location: class oracle.lite.sync.ConsPLSQL
stmt.execute(ConsPLSQL.CONS_EXT_PKG_APPDB_B);
^
Note: UpgradeRepoforLU.java uses unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
2 errors



How to fix it ?


Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.